/**
 * <copyright>
 * </copyright>
 *
 * $Id: RecordFileValidator.java,v 1.1 2008-04-01 09:35:20 vmahe Exp $
 */
package orgomg.cwm.resource.record.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.resource.record.RecordDef;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.record.RecordFile}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RecordFileValidator {
	boolean validate();

	boolean validateIsSelfDescribing(boolean value);
	boolean validateRecordDelimiter(long value);
	boolean validateSkipRecords(long value);
	boolean validateRecord(EList<RecordDef> value);
}
